| nRF5 SDK v12.0.0 |

Choose documentation: | nRF5 SDK | S130 SoftDevice API | S132 SoftDevice API | S212 SoftDevice API | S332 SoftDevice API

All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Modules | Data Structures | Macros | Enumerations | Functions
ANT+ common page 70
ANT+ common pages

## Modules
| ANT+ common page 70 configuration

## Data Structures
struct | ant_common_page70_data_t
| Data structure for ANT+ common data page 70. More...

## Macros
#define | ANT_COMMON_PAGE_70 (70)
| ID value of common page 70.
#define | ANT_PAGE70_INVALID_DESCRIPTOR UINT16_MAX
| Invalid descriptor.
#define | DEFAULT_ANT_COMMON_PAGE70()
| Initialize page 70 with default values. More...
#define | ANT_COMMON_PAGE_DATA_REQUEST(PAGE_NUMBER)
| Initialize page 70 with the page request. More...

## Enumerations
enum | ant_page70_command_t { ANT_PAGE70_COMMAND_PAGE_DATA_REQUEST = 0x01, ANT_PAGE70_COMMAND_ANT_FS_SESSION_REQUEST = 0x02 }
| Command type. More...

## Functions
void | ant_common_page_70_encode (uint8_t *p_page_buffer, volatile ant_common_page70_data_t const *p_page_data)
| Function for encoding page 70. More...
void | ant_common_page_70_decode (uint8_t const *p_page_buffer, volatile ant_common_page70_data_t *p_page_data)
| Function for decoding page 70. More...

## Detailed Description

## Macro Definition Documentation

#define ANT_COMMON_PAGE_DATA_REQUEST | ( |  | PAGE_NUMBER | ) |

Value:
(ant_common_page70_data_t) \
{ \
.page_number = (PAGE_NUMBER), \
.command_type = ANT_PAGE70_COMMAND_PAGE_DATA_REQUEST, \
.transmission_response.specyfic = ANT_PAGE70_RESPONSE_TRANSMIT_UNTIL_SUCCESS, \
.descriptor = ANT_PAGE70_INVALID_DESCRIPTOR, \
}

Initialize page 70 with the page request.

#define DEFAULT_ANT_COMMON_PAGE70 | ( |  | ) |

Value:
(ant_common_page70_data_t) \
{ \
.page_number = 0x00, \
.command_type = (ant_page70_command_t)0x00, \
.transmission_response.specyfic = ANT_PAGE70_RESPONSE_INVALID, \
.descriptor = ANT_PAGE70_INVALID_DESCRIPTOR, \
}

Initialize page 70 with default values.

## Enumeration Type Documentation

enum ant_page70_command_t

Command type.

Enumerator
ANT_PAGE70_COMMAND_PAGE_DATA_REQUEST | Page request.
ANT_PAGE70_COMMAND_ANT_FS_SESSION_REQUEST | ANT FS session request.

## Function Documentation

void ant_common_page_70_decode | ( | uint8_t const * | p_page_buffer,
|  | volatile ant_common_page70_data_t * | p_page_data
| ) |  |

Function for decoding page 70.

Parameters

  [in] | p_page_buffer | Pointer to the data buffer.
  [out] | p_page_data | Pointer to the page data.

void ant_common_page_70_encode | ( | uint8_t * | p_page_buffer,
|  | volatile ant_common_page70_data_t const * | p_page_data
| ) |  |

Function for encoding page 70.

Parameters

  [in] | p_page_data | Pointer to the page data.
  [out] | p_page_buffer | Pointer to the data buffer.